kind: pipeline
type: docker
name: default

steps:
  - name: Build with node
    image: node:19
    commands:
      - yarn install
      - yarn build
  - name: Publish to docker
    image: plugins/docker
    settings:
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      auto_tag: true
      repo: docker.hibas123.de/telegram-rss
      registry: docker.hibas123.de
